/* 
  PCGMStringsServer.strings
  GManipulator

  Created by Chris Turner on 9/1/17.
  Copyright © 2017 Productive Computing, Inc. All rights reserved.
*/

"PCGM 128" = "gManipulator v1.0.1.3 Server-Side";
"PCGM 129" = "Allows FileMaker to communicate with Google© Mail, Contacts, Calendar, and Task services, as well as Google© GSuite accounts.\n\nGManipulator is © Productive Computing, Inc. Google and all references therein are © Google Inc.";
"PCGM 131" = "PCGM1nnYYnn";
"PCGM 132" = "http://www.productivecomputing.com/docs/docs_library/GManipulator/Functions_Guide_GManipulator.pdf";

"PCGM 150" = "PCGM_Version( Type )";
"PCGM 151" = "PCGM_GetOperatingMode";
"PCGM 152" = "PCGM_Register( ServerName ; ServerPort ; ServerPage ; LicenseID )";
"PCGM 153" = "PCGM_GetLastError( Type )";
"PCGM 154" = "PCGM_LogSet( OnOff )";
"PCGM 155" = "PCGM_LogClear";

// Session functions
"PCGM 200" = "PCGM_Authenticate";
"PCGM 201" = "PCGM_SaveSession";
"PCGM 202" = "PCGM_LoadSession( SessionString )";
"PCGM 227" = "PCGM_Disconnect";

// Folder Functions
"PCGM 203" = "PCGM_GetFirstAccount";
"PCGM 204" = "PCGM_GetNextAccount";
"PCGM 205" = "PCGM_OpenAccount( AccountName )";
"PCGM 206" = "PCGM_GetFirstFolder( FolderType )";
"PCGM 207" = "PCGM_GetNextFolder";
"PCGM 208" = "PCGM_OpenFolder( FolderID ; FolderType )";
"PCGM 209" = "PCGM_GetRecordCount";
"PCGM 210" = "PCGM_GetFolderProperty( PropertyName )";
"PCGM 211" = "PCGM_ClearDeletedRecords";
"PCGM 212" = "PCGM_NewFolder( FolderName )";

// Record Functions
"PCGM 236" = "PCGM_GetAllRecords( Type )";
"PCGM 213" = "PCGM_GetFirstRecord";
"PCGM 214" = "PCGM_GetNextRecord";
"PCGM 215" = "PCGM_OpenRecord( RecordID ; RecordType )";
"PCGM 216" = "PCGM_NewRecord( optModule )";
"PCGM 217" = "PCGM_DeleteRecord( RecordID ; bPermanent )";
"PCGM 218" = "PCGM_SaveRecord( optParam )";
"PCGM 219" = "PCGM_GetFieldValue( FieldName ; optType )";
"PCGM 220" = "PCGM_SetFieldValue( FieldName ; Value ; optType )";
"PCGM 221" = "PCGM_FilterByField( Field ; Value ; optAppendToFilter )";
"PCGM 222" = "PCGM_FilterByLastModified( Timestamp )";

"PCGM 228" = "PCGM_AddAttachment( ContainerOrPath ; FileName ; bIsContainer )";
"PCGM 229" = "PCGM_GetAttachmentCount";
"PCGM 230" = "PCGM_GetAttachmentCID( Index )";
"PCGM 231" = "PCGM_GetAttachmentName( Index )";
"PCGM 232" = "PCGM_SaveAttachment( bSaveToContainer ; Index ; optFilePath )";
"PCGM 233" = "PCGM_GetContactPhoto";
"PCGM 234" = "PCGM_SetContactPhoto( ImageContainer )";

"PCGM 235" = "PCGM_Debug";

// Shortcut Functions
"PCGM 223" = "PCGM_SendMail( To ; Cc ; Bcc ; Subject ; Body ; Attachments ; Format )";
"PCGM 224" = "PCGM_CreatEvent Start ; End ; Summary ; Description ; Location ; bSetReminder )";
"PCGM 225" = "PCGM_CreateContact( FirstName ; LastName ; Company ; Phone ; Email ; Website ; AddressBlock )";
"PCGM 226" = "PCGM_CreateTask( Due ; Title ; Notes )";

// Drive functions?
